@import url('https://fonts.googleapis.com/css2?family=Geist:ital,wght@0,100..900;1,100..900&display=swap');

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    --brandColor: #C11C8B;
    --backgroud: #0d0d0d
}

p {
    font-family: "Geist", sans-serif;
    font-weight: 400;
    font-style: Regular;
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0%;
    color: #A4A4A4;

    @media (max-width:1200px) {

        font-size: 16px;
        text-align: center;
    }
}

h2 {
    font-family: "Geist", sans-serif;
    font-weight: 600;
    font-style: Regular;
    font-size: 27px;
    line-height: normal;
    letter-spacing: 1%;
    color: #fff;
    margin-top: -4px;
    margin-bottom: 8px;

    @media (max-width:1200px) {

        font-size: 18px;
        text-align: center;
    }
}

h3 {
    font-family: "Geist", sans-serif;
    font-weight: 600;
    font-style: Regular;
    font-size: 24px;
    line-height: normal;
    letter-spacing: 1%;
    color: #fff;
    margin-top: -4px;
    margin-bottom: 8px;

    @media (max-width:1200px) {

        font-size: 18px;
        text-align: center;
    }
}

html,
body {
    background: var(--backgroud);
    height: 100%;
    width: 100%;
    overflow: hidden;

    @media (max-width:1200px) {
        overflow: auto;
    }

}

body {
    display: flex;
    flex-direction: column;
    font-family: "Geist", sans-serif;
    color: #fff;

}

#header {
    width: 100%;
    padding: 12px 24px;
    height: 68px;
    background: #FFFFFF0F;

    img {
        height: 44px;
    }
}

#main {
    flex: auto;
    background: url(./assets/Bg.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 0 160px 0 116px;

    @media (max-width:1200px) {
        align-items: center;
        padding: 0 12px;
    }
}

#container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 24px;

    @media (max-width:1200px) {
        flex-direction: column;

    }
}

#available {
    font-family: "Geist", sans-serif;
    font-weight: 400;
    font-style: Regular;
    font-size: 16px;
    line-height: 22px;
    letter-spacing: 0%;
    color: #A4A4A4;
    text-align: center;

    .prizes {
        margin: 64px auto 0;
        width: fit-content;

    }

    @media (min-width:1200px) {
        .prizes {
            display: none;
        }
    }

}

.higlighted {
    color: var(--brandColor);
}

#info {
    width: 45%;
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: flex-end;
    padding-bottom: 22px;

    .higlighted {
        font-size: 40px;
        font-weight: 700;
        font-style: Bold;
        line-height: 100%;
        letter-spacing: 1%;
        margin-bottom: 16px;
    }

    .button {
        font-family: "Geist", sans-serif;
        font-weight: 400;
        font-style: Regular;
        font-size: 16px;
        line-height: 22px;
        letter-spacing: 0%;
        color: #111113;
        background: #E23ED7;
        border-radius: 12px;
        width: 112px;
        height: 44px;
        border: none;
        margin-top: 32px;
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: center;

        @media (max-width:1200px) {
            margin: 32px auto 64px;
        }
    }

    @media (max-width:1200px) {
        width: 100%;

        align-items: center;

        .prizes {
            display: none;
        }
    }

    p {
        @media (max-width:1200px) {
            text-align: center;
        }
    }

    h1 {
        white-space: nowrap;
        font-family: "Geist", sans-serif;
        font-weight: 700;
        font-style: Bold;
        font-size: 32px;
        line-height: 100%;
        letter-spacing: 1%;
        margin-bottom: 8px;

        @media (max-width:1200px) {

            font-size: 24px;
            leading-trim: NONE;
            line-height: 32px;
            text-align: center;


        }
    }


}

.wrapper {
    width: 40%;

    @media (max-width:1200px) {
        width: 100%;
        margin: 32px 0;
    }
}

#wheelContainer {
    position: relative;
    display: flex;
    justify-content: center;

    #wheel {
        transition: 6s cubic-bezier(0.165, 0.84, 0.44, 1);
    }

    img {
        max-width: 100%;
    }

    #spinButton {
        position: absolute;
        top: 50%;
        left: 50%;
        cursor: pointer;
        transform: translate(-50%, -50%);
        max-width: 20%;

    }

    #picker {
        position: absolute;
        top: 0;
        left: 50%;
        transform: translate(-50%, -40%) scale(.5);
    }
}

#modal {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-image: url(./assets/vecteezy_confetti-png-for-festival-background-simple-tinsel-and_22935677\ 1.png);
    backdrop-filter: blur(34px);
    background-color: #11111399;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0;
    pointer-events: none;
    transform: scale(.5);
    transition: .6s cubic-bezier(0.075, 0.82, 0.165, 1);

    h3 {
        font-family: "Geist", sans-serif;
        font-weight: 700;
        font-style: Bold;
        font-size: 28px;
        line-height: 100%;
        letter-spacing: 1%;
        text-align: center;
        margin-bottom: 16px;

        @media (max-width:1200px) {
            font-size: 22px;
        }
    }

    h2 {
        font-family: "Geist", sans-serif;
        font-weight: 700;
        font-style: Bold;
        font-size: 42px;
        line-height: 100%;
        letter-spacing: 1%;
        text-align: center;
        margin-bottom: 8px;

        @media (max-width:1200px) {
            font-size: 28px;
        }
    }

    #claimButton {
        width: 165;
        height: 44;
        margin-top: 48px;
        padding: 8px 20px;

        border-radius: 12px;
        background: var(--brandColor);
        font-family: "Geist", sans-serif;
        font-weight: 500;
        font-style: Medium;
        font-size: 16px;
        line-height: 22px;
        letter-spacing: 0%;
        text-align: center;
        vertical-align: middle;
        color: #fff;
        text-decoration: none;

    }
}

.disabled {
    filter: grayscale(1);
}

.prizes {
    margin-top: auto;

    .images {
        margin-top: 16px;
        display: flex;
        gap: 10px;
    }

    img {
        width: 102px;
        height: 102px;
        box-shadow: 0px 0px 44px 0px #FFFFFF1F;

    }

    @media (max-width:1200px) {
        padding-bottom: 80px;
    }

}

#promo {
    display: flex;
    padding-left: 14px;
    height: 44px;
    width: 220px;
    justify-content: space-between;
    background-color: #0D0D0D;
    border: 1px solid #FFFFFF1F;
    border-radius: 8px;
    overflow: hidden;


    font-weight: 500;
    font-style: Medium;
    font-size: 14px;
    line-height: 44px;
    letter-spacing: 0%;
    color: #fff;
margin-top: 24px;
    #promoButton {
        background: var(--brandColor);
        display: flex;
        align-items: center;
        justify-content: center;
        width: 40px;
        height: 40px;
        border: none;
        height: 100%;
        color: #fff;
        font-size: 32px;
        cursor: pointer;

    }
}